/*
  Template Name : Crone - Responsive Bootstrap Landing Page Template
  Author: Themesdesign
  Create Date: Feb 2019
  Version: v1.0
*/


(function ($) {

    'use strict';

	// STICKY
	$(window).scroll(function() {
	    var scroll = $(window).scrollTop();

	    if (scroll >= 50) {
	        $(".sticky").addClass("nav-sticky");
	    } else {
	        $(".sticky").removeClass("nav-sticky");
	    }
	});


	// SmoothLink
	$('.nav-item a, .mouse-down a').on('click', function(event) {
	    var $anchor = $(this);
	    $('html, body').stop().animate({
	        scrollTop: $($anchor.attr('href')).offset().top - 0
	    }, 1500, 'easeInOutExpo');
	    event.preventDefault();
	});


	// scrollspy
	$("#navbarCollapse").scrollspy({
	    offset: 70
	});


	// loader
	$(window).on('load', function() {
	    $('#status').fadeOut();
	    $('#preloader').delay(350).fadeOut('slow');
	    $('body').delay(350).css({
	        'overflow': 'visible'
	    });
	});
 
	// Wrap every letter in a span
	$('.home-1-title-text .letters').each(function(){
	    $(this).html($(this).text().replace(/([^\x00-\x80]|\w)/g, "<span class='letter'>$&</span>"));
  	});
  
  	anime.timeline({loop: true})
	.add({
      targets: '.home-1-title-text .letter',
      scale: [0, 1],
      duration: 1500,
      elasticity: 600,
      delay: function(el, i) {
        return 45 * (i+1)
      }
    }).add({
      targets: '.home-1-title-text',
      opacity: 0,
      duration: 1000,
      easing: "easeOutExpo",
      delay: 1000
    });


     //Owl Carousel
	 $("#owl-demo").owlCarousel({
	    autoPlay: 3000,
	    stopOnHover: true,
	    navigation: false,
	    paginationSpeed: 1000,
	    goToFirstSpeed: 2000,
	    singleItem: true,
	    autoHeight: true,
	  });

    // contact

	$('#contact-form').submit(function() {

	    var action = $(this).attr('action');

	    $("#message").slideUp(750, function() {
	        $('#message').hide();

	        $('#submit')
	            .before('')
	            .attr('disabled', 'disabled');

	        $.post(action, {
	                name: $('#name').val(),
	                email: $('#email').val(),
	                comments: $('#comments').val(),
	            },
	            function(data) {
	                document.getElementById('message').innerHTML = data;
	                $('#message').slideDown('slow');
	                $('#cform img.contact-loader').fadeOut('slow', function() {
	                    $(this).remove()
	                });
	                $('#submit').removeAttr('disabled');
	                if (data.match('success') != null) $('#cform').slideUp('slow');
	            }
	        );

	    });

	    return false;

	});

	// Wrap every letter in a span
	$('.home-3-title-text .letters').each(function(){
	    $(this).html($(this).text().replace(/([^\x00-\x80]|\w)/g, "<span class='letter'>$&</span>"));
	  });
	  
	  anime.timeline({loop: true})
	    .add({
	      targets: '.home-3-title-text .letter',
	      rotateY: [-90, 0],
	      duration: 1300,
	      delay: function(el, i) {
	        return 45 * i;
	      }
	    }).add({
	      targets: '.home-3-title-text',
	      opacity: 0,
	      duration: 1000,
	      easing: "easeOutExpo",
	      delay: 1000
	    });

})(jQuery)